Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.datatypes
Class SimplePercentBaseContext

    java.lang.Object
      org.apache.fop.datatypes.SimplePercentBaseContext

All Implemented Interfaces:
  PercentBaseContext

    public class SimplePercentBaseContext

extends java.lang.Object
implements PercentBaseContext

Class to implement a simple lookup context for a single percent base value.

Constructor Summary
`SimplePercentBaseContext(PercentBaseContext parentContext, int lengthBase, int lengthBaseValue)`

Method Summary
`int` | `getBaseLength(int lengthBase, FObj fobj)` Returns the value for the given lengthBase.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimplePercentBaseContext

    public SimplePercentBaseContext(PercentBaseContext parentContext,
                                    int lengthBase,
                                    int lengthBaseValue)

Parameters:
  `parentContext` - the context to be used for all percentages other than lengthBase
  `lengthBase` - the particular percentage length base for which this context provides a value
  `lengthBaseValue` - the value to be returned for requests to the given lengthBase

Method Detail

### getBaseLength

    public int getBaseLength(int lengthBase,
                             FObj fobj)

  Returns the value for the given lengthBase. Returns the base length for the given length base. Length base should be one of the constants defined in `LengthBase`.

  Specified by:
    `getBaseLength` in interface `PercentBaseContext`
  Parameters:
    `lengthBase` - Indicates which type of the base length value is to be returned
    `fobj` - The FO object against which the percentage should be evaluated
  Returns:
    The base length value of the given kind

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.